High-Level Data Reduction Library: hdrl_sigclip.h File Reference

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Functions
hdrl_sigclip.h File Reference
`#include "hdrl_parameter.h"`
`#include <cpl.h>`
Include dependency graph for hdrl_sigclip.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
CPL_BEGIN_DECLS cpl_parameterlist * | hdrl_sigclip_parameter_create_parlist (const char *base_context, const char *prefix, const hdrl_parameter *defaults)
cpl_error_code | hdrl_sigclip_parameter_parse_parlist (const cpl_parameterlist *parlist, const char *prefix, double *kappa_low, double *kappa_high, int *niter)
cpl_parameterlist * | hdrl_minmax_parameter_create_parlist (const char *base_context, const char *prefix, const hdrl_parameter *defaults)
cpl_error_code | hdrl_minmax_parameter_parse_parlist (const cpl_parameterlist *parlist, const char *prefix, double *nlow, double *nhigh)
cpl_error_code | hdrl_kappa_sigma_clip_image (const cpl_image *source, const cpl_image *error, const double kappa_low, const double kappa_high, const int iter, double *mean_ks, double *mean_ks_err, cpl_size *naccepted, double *reject_low, double *reject_high)
cpl_error_code | hdrl_minmax_clip_image (const cpl_image *source, const cpl_image *error, const double nlow, const double nhigh, double *mean_mm, double *mean_mm_err, cpl_size *naccepted, double *reject_low, double *reject_high)
cpl_error_code | hdrl_kappa_sigma_clip (cpl_vector *vec, cpl_vector *vec_err, const double kappa_low, const double kappa_high, const int iter, cpl_boolean inplace, double *mean_ks, double *mean_ks_err, cpl_size *naccepted, double *reject_low, double *reject_high)
cpl_error_code | hdrl_minmax_clip (cpl_vector *vec, cpl_vector *vec_err, const double nlow, const double nhigh, cpl_boolean inplace, double *mean_mm, double *mean_mm_err, cpl_size *naccepted, double *reject_low, double *reject_high)

## Function Documentation

## ◆ hdrl_kappa_sigma_clip()

cpl_error_code hdrl_kappa_sigma_clip | ( | cpl_vector * | vec,
|  | cpl_vector * | vec_err,
|  | const double | kappa_low,
|  | const double | kappa_high,
|  | const int | iter,
|  | cpl_boolean | inplace,
|  | double * | mean_ks,
|  | double * | mean_ks_err,
|  | cpl_size * | naccepted,
|  | double * | reject_low,
|  | double * | reject_high
| ) |  |

## ◆ hdrl_kappa_sigma_clip_image()

cpl_error_code hdrl_kappa_sigma_clip_image | ( | const cpl_image * | source,
|  | const cpl_image * | error,
|  | const double | kappa_low,
|  | const double | kappa_high,
|  | const int | iter,
|  | double * | mean_ks,
|  | double * | mean_ks_err,
|  | cpl_size * | naccepted,
|  | double * | reject_low,
|  | double * | reject_high
| ) |  |

## ◆ hdrl_minmax_clip()

cpl_error_code hdrl_minmax_clip | ( | cpl_vector * | vec,
|  | cpl_vector * | vec_err,
|  | const double | nlow,
|  | const double | nhigh,
|  | cpl_boolean | inplace,
|  | double * | mean_mm,
|  | double * | mean_mm_err,
|  | cpl_size * | naccepted,
|  | double * | reject_low,
|  | double * | reject_high
| ) |  |

## ◆ hdrl_minmax_clip_image()

cpl_error_code hdrl_minmax_clip_image | ( | const cpl_image * | source,
|  | const cpl_image * | error,
|  | const double | nlow,
|  | const double | nhigh,
|  | double * | mean_mm,
|  | double * | mean_mm_err,
|  | cpl_size * | naccepted,
|  | double * | reject_low,
|  | double * | reject_high
| ) |  |

## ◆ hdrl_minmax_parameter_create_parlist()

cpl_parameterlist * hdrl_minmax_parameter_create_parlist | ( | const char * | base_context,
|  | const char * | prefix,
|  | const hdrl_parameter * | defaults
| ) |  |

## ◆ hdrl_minmax_parameter_parse_parlist()

cpl_error_code hdrl_minmax_parameter_parse_parlist | ( | const cpl_parameterlist * | parlist,
|  | const char * | prefix,
|  | double * | nlow,
|  | double * | nhigh
| ) |  |

## ◆ hdrl_sigclip_parameter_create_parlist()

CPL_BEGIN_DECLS cpl_parameterlist * hdrl_sigclip_parameter_create_parlist | ( | const char * | base_context,
|  | const char * | prefix,
|  | const hdrl_parameter * | defaults
| ) |  |

## ◆ hdrl_sigclip_parameter_parse_parlist()

cpl_error_code hdrl_sigclip_parameter_parse_parlist | ( | const cpl_parameterlist * | parlist,
|  | const char * | prefix,
|  | double * | kappa_low,
|  | double * | kappa_high,
|  | int * | niter
| ) |  |